       volVectorField grad_fi = fvc::grad(fi);

        volScalarField grad_fi_y
        (
            IOobject
            (
                "grad_fi_y",
                runTime.timeName(),
                mesh_fi,
                IOobject::NO_READ,
                IOobject::AUTO_WRITE
            ),
            grad_fi.component(vector::Y)
        );


    volVectorField grad_DD_fi = fvc::grad((DD+dDD)*fi);

         volScalarField grad_DD_fi_y
        (
            IOobject
            (
                "grad_DD_fi_y",
                runTime.timeName(),
                mesh_fi,
                IOobject::NO_READ,
                IOobject::AUTO_WRITE
            ),
            grad_DD_fi.component(vector::Y)
        );
	
	    
         volScalarField lap_fi
        (
            IOobject
            (
                "lap_fi",
                runTime.timeName(),
                mesh_fi,
                IOobject::NO_READ,
                IOobject::AUTO_WRITE
            ),
			fvc::laplacian(fi)
         );

         volScalarField lap_dDD_fi
        (
            IOobject
            (
                "lap_dDD_fi",
                runTime.timeName(),
                mesh_fi,
                IOobject::NO_READ,
                IOobject::AUTO_WRITE
            ),
			fvc::laplacian(dDD,fi)
         );
        

        
	
	
	
